# EditorConfig is awesome: https://EditorConfig.org
root = true

# for all projects
[*]
indent_style = space
indent_size = 4
end_of_line = lf
charset = utf-8
trim_trailing_whitespace = true
insert_final_newline = true

# Python
[*.py]
indent_style = space
indent_size = 4

# PHP
[*.php]
indent_style = space
indent_size = 4

# Ruby
[*.rb]
indent_style = space
indent_size = 2

# Crystal
[{*.cr,shards.yml}]
indent_style = space
indent_size = 2

# C
[{*.c,*.h}]
indent_style = space
indent_size = 2

# C++
[{*.cpp,*.ino,*.hpp}]
indent_style = space
indent_size = 2

# V
[{*.v,v.mod}]
indent_style = tab
indent_size = 4

# JavaScript
[*.js]
indent_style = space
indent_size = 2

[package.json]
indent_style = space
indent_size = 2

# Web Sites
[{*.html,*.css,*.json}]
indent_style = tab
indent_size = 4

[humans.txt]
indent_style = tab
indent_size = 2

# Markdown
[*.md]
trim_trailing_whitespace = false

# Other
[Makefile]
indent_style = tab
indent_size = 4

[.gitconfig]
indent_style = tab
indent_size = 4

# GameMaker
[*.gml]
indent_style = tab
indent_size = 4

## for this repo
[~/SSH/config]
indent_style = tab
indent_size = 4

[~/SublimeText/*.sublime-*]
indent_style = tab
indent_size = 4

[code/Gambas/*]
indent_size = 2

[projects/Solar2D/**]
indent_style = unset
indent_size = unset
end_of_line = unset
charset = unset
trim_trailing_whitespace = unset
insert_final_newline = unset

[projects/CV/haarcascade_frontalface_default.xml]
indent_size = unset
